[Mayan EDMS: 65] Mayan EDMS v0.12 beta

classic Classic list List threaded Threaded
25 messages Options
12
Reply | Threaded
Open this post in threaded view
|

[Mayan EDMS: 65] Mayan EDMS v0.12 beta

rosarior
Administrator
Finished pushing all the changes I had planned and that were requested during this development cycle.  The version of the development version has been bumped to v0.12 beta to signify that it is ready for testing and should not crash as often.  The text strings have been uploaded to transifex, from this point forwards there are not more new string expected to be added to give translators a chance to sync their work, also no new features will be added (unless they don't require much change to existing code and need no schema changes) only fixes, tweaks, art and documentation work will be committed to the repository.  If no major bugs or crashes are found in the next 7-15 days the version number will be upgraded to release candidate and following a few days of final tests version 0.12 should be out in github and on the website.  This version most work has been concentrated on the ACL (access control list) system, it has been the longest and toughest feature in development spanning several months of work and is a central piece for the planned workflows support, so feedback about errors, usability issues or suggestions are most welcome.  This is obvious but if you plan to test this version, make a backup of your database, your document storage and gpg keys just in case.  And finally but most importantly, you guys have been the primary and earliest supporters and contributors of this project so my most sincere thanks to all of you, cheers!

/Roberto
Reply | Threaded
Open this post in threaded view
|

[Mayan EDMS: 65] Re: Mayan EDMS v0.12 beta

Сергей Глита
for update i do this
1. rename project folder
2. pg_dump mayan >mayan.sql
3. git clone -b development git://github.com/rosarior/mayan.git
4. ./manage.py syncdb --migrate - django.db.utils.DatabaseError:
relation "permissions_permission" already exists
What i do wrong?

On 3 фев, 01:04, Roberto Rosario <[hidden email]>
wrote:

> Finished pushing all the changes I had planned and that were requested
> during this development cycle.  The version of the development version has
> been bumped to v0.12 beta to signify that it is ready for testing and
> should not crash as often.  The text strings have been uploaded to
> transifex, from this point forwards there are not more new string expected
> to be added to give translators a chance to sync their work, also no new
> features will be added (unless they don't require much change to existing
> code and need no schema changes) only fixes, tweaks, art and documentation
> work will be committed to the repository.  If no major bugs or crashes are
> found in the next 7-15 days the version number will be upgraded to release
> candidate and following a few days of final tests version 0.12 should be
> out in github and on the website.  This version most work has been
> concentrated on the ACL (access control list) system, it has been the
> longest and toughest feature in development spanning several months of work
> and is a central piece for the planned workflows support, so feedback about
> errors, usability issues or suggestions are most welcome.  This is obvious
> but if you plan to test this version, make a backup of your database, your
> document storage and gpg keys just in case.  And finally but most
> importantly, you guys have been the primary and earliest supporters and
> contributors of this project so my most sincere thanks to all of you,
> cheers!
>
> /Roberto
Reply | Threaded
Open this post in threaded view
|

Re: [Mayan EDMS: 66] Re: Mayan EDMS v0.12 beta

rosarior
Administrator
For upgrading between versions don't use the '--migrate' option of syncdb.  The error means that South tried to create tables that already existed, the command ./manage.py migrate permissions 0001 --fake does this.
Let me now how it goes, thanks for updating the Russian translation :)


On Fri, Feb 3, 2012 at 4:49 AM, Сергей Глита <[hidden email]> wrote:
for update i do this
1. rename project folder
2. pg_dump mayan >mayan.sql
3. git clone -b development git://github.com/rosarior/mayan.git
4. ./manage.py syncdb --migrate - django.db.utils.DatabaseError:
relation "permissions_permission" already exists
What i do wrong?

On 3 фев, 01:04, Roberto Rosario <[hidden email]>
wrote:
> Finished pushing all the changes I had planned and that were requested
> during this development cycle.  The version of the development version has
> been bumped to v0.12 beta to signify that it is ready for testing and
> should not crash as often.  The text strings have been uploaded to
> transifex, from this point forwards there are not more new string expected
> to be added to give translators a chance to sync their work, also no new
> features will be added (unless they don't require much change to existing
> code and need no schema changes) only fixes, tweaks, art and documentation
> work will be committed to the repository.  If no major bugs or crashes are
> found in the next 7-15 days the version number will be upgraded to release
> candidate and following a few days of final tests version 0.12 should be
> out in github and on the website.  This version most work has been
> concentrated on the ACL (access control list) system, it has been the
> longest and toughest feature in development spanning several months of work
> and is a central piece for the planned workflows support, so feedback about
> errors, usability issues or suggestions are most welcome.  This is obvious
> but if you plan to test this version, make a backup of your database, your
> document storage and gpg keys just in case.  And finally but most
> importantly, you guys have been the primary and earliest supporters and
> contributors of this project so my most sincere thanks to all of you,
> cheers!
>
> /Roberto

Reply | Threaded
Open this post in threaded view
|

[Mayan EDMS: 69] Re: Mayan EDMS v0.12 beta

Сергей Глита
Exception Type: ViewDoesNotExist at /
________________________________________________________________________________________________________
Exception Value: Could not import feedback.views. Error was: No module
named
requests________________________________________________________

in feedback.api
1. import requests

Reply | Threaded
Open this post in threaded view
|

Re: [Mayan EDMS: 70] Re: Mayan EDMS v0.12 beta

rosarior
Administrator
Hi,
the feedback module uses a Python library called requests, I forgot to add that step in the upgrade procedure, thanks!
Just use the standard requirements install command to add the missing module:

$ cd mayan
$ source ../bin/activate
$ pip install -r requirements/production.txt

/Roberto

On Mon, Feb 6, 2012 at 4:49 AM, Сергей Глита <[hidden email]> wrote:
Exception Type: ViewDoesNotExist at /
________________________________________________________________________________________________________
Exception Value: Could not import feedback.views. Error was: No module
named
requests________________________________________________________

in feedback.api
1. import requests


Reply | Threaded
Open this post in threaded view
|

[Mayan EDMS: 71] Re: Mayan EDMS v0.12 beta

Сергей Глита
Thanks, update completed successfully
I will continue to test.

On 6 фев, 14:54, Roberto Rosario Gonzalez
<[hidden email]> wrote:

> Hi,
> the feedback module uses a Python library called requests, I forgot to add
> that step in the upgrade procedure, thanks!
> Just use the standard requirements install command to add the missing
> module:
>
> $ cd mayan
> $ source ../bin/activate
> $ pip install -r requirements/production.txt
>
> /Roberto
>
>
>
>
>
>
>
> On Mon, Feb 6, 2012 at 4:49 AM, Сергей Глита <[hidden email]> wrote:
> > Exception Type: ViewDoesNotExist at /
>
> > ________________________________________________________________________________________________________
> > Exception Value: Could not import feedback.views. Error was: No module
> > named
> > requests________________________________________________________
>
> > in feedback.api
> > 1. import requests
Reply | Threaded
Open this post in threaded view
|

[Mayan EDMS: 72] Re: Mayan EDMS v0.12 beta

Сергей Глита
DatabaseError at /documents/list/recent/

relation "permissions_storedpermission" does not exist
LINE 1: ...pace", "permissions_storedpermission"."name" FROM
"permissio...

Sorry, i'm confused and will trying clear install.


On 6 фев, 15:30, Сергей Глита <[hidden email]> wrote:

> Thanks, update completed successfully
> I will continue to test.
>
> On 6 фев, 14:54, Roberto Rosario Gonzalez
>
>
>
>
>
>
>
> <[hidden email]> wrote:
> > Hi,
> > the feedback module uses a Python library called requests, I forgot to add
> > that step in the upgrade procedure, thanks!
> > Just use the standard requirements install command to add the missing
> > module:
>
> > $ cd mayan
> > $ source ../bin/activate
> > $ pip install -r requirements/production.txt
>
> > /Roberto
>
> > On Mon, Feb 6, 2012 at 4:49 AM, Сергей Глита <[hidden email]> wrote:
> > > Exception Type: ViewDoesNotExist at /
>
> > > ________________________________________________________________________________________________________
> > > Exception Value: Could not import feedback.views. Error was: No module
> > > named
> > > requests________________________________________________________
>
> > > in feedback.api
> > > 1. import requests
Reply | Threaded
Open this post in threaded view
|

[Mayan EDMS: 73] Re: Mayan EDMS v0.12 beta

Сергей Глита
with new database (postgres)
syncdb
django.db.utils.DatabaseError: current transaction is aborted,
commands ignored until end of transaction block
Reply | Threaded
Open this post in threaded view
|

[Mayan EDMS: 75] Re: Mayan EDMS v0.12 beta

rosarior
Administrator
Ok, thanks!  Just pushed some transaction rollback code that should resolve this on PostgreSQL, get the latest version or do a git pull and try again.
Reply | Threaded
Open this post in threaded view
|

[Mayan EDMS: 75] Re: Mayan EDMS v0.12 beta

Сергей Глита
Thanks, it worked. To be continued. :-)

On 6 фев, 23:55, Roberto Rosario <[hidden email]>
wrote:
> Ok, thanks!  Just pushed some transaction rollback code that should resolve
> this on PostgreSQL, get the latest version or do a git pull and try again.
Reply | Threaded
Open this post in threaded view
|

[Mayan EDMS: 76] Re: Mayan EDMS v0.12 beta

Сергей Глита
In reply to this post by rosarior
UnicodeEncodeError at /acls/class/

'ascii' codec can't encode characters in position 0-4: ordinal not in
range(128)

Request Method: GET
Request URL: http://mayan.crb.local/acls/class/
Django Version: 1.3.1
Exception Type: UnicodeEncodeError
Exception Value:

'ascii' codec can't encode characters in position 0-4: ordinal not in
range(128)

Exception Location: /home/ve/mayan/apps/acls/views.py in
acl_setup_valid_classes, line 385
Python Executable: /home/ve/bin/python
Python Version: 2.7.2
Python Path:

['/home/ve/mayan',
 '/home/ve/lib/python2.7/site-packages/setuptools-0.6c11-py2.7.egg',
 '/home/ve/lib/python2.7/site-packages/pip-1.0.2-py2.7.egg',
 '/home/ve/src/django-mptt',
 '/home/ve/src/python-magic',
 '/home/ve/src/django-sendfile',
 '/home/ve/lib/python27.zip',
 '/home/ve/lib/python2.7',
 '/home/ve/lib/python2.7/plat-linux2',
 '/home/ve/lib/python2.7/lib-tk',
 '/home/ve/lib/python2.7/lib-old',
 '/home/ve/lib/python2.7/lib-dynload',
 '/usr/lib/python2.7',
 '/usr/lib/python2.7/plat-linux2',
 '/usr/lib/python2.7/lib-tk',
 '/home/ve/lib/python2.7/site-packages',
 '/home/ve/lib/python2.7/site-packages/setuptools-0.6c11-py2.7.egg-
info',
 '/home/ve/mayan/modules',
 '/home/ve/mayan/customization_apps',
 '/home/ve/mayan/apps',
 '/home/ve/mayan/shared_apps',
 '/home/ve/mayan/3rd_party_apps',
 '/home/ve/mayan/..',
 '/home/ve/mayan/modules',
 '/home/ve/mayan/customization_apps',
 '/home/ve/mayan/apps',
 '/home/ve/mayan/shared_apps']

Server time: Втр, 7 Фев 2012 08:44:20 +0400
Unicode error hint

The string that could not be encoded/decoded was: Папки
Traceback Switch to copy-and-paste view

    /home/ve/lib/python2.7/site-packages/django/core/handlers/base.py
in get_response

                                response = callback(request,
*callback_args, **callback_kwargs)

        ...
    ▶ Local vars
    /home/ve/mayan/apps/acls/views.py in acl_setup_valid_classes

            logger.debug('DefaultAccessEntry.get_classes(): %s' %
DefaultAccessEntry.get_classes())

        ...
    ▶ Local vars

On 6 фев, 23:55, Roberto Rosario <[hidden email]>
wrote:
> Ok, thanks!  Just pushed some transaction rollback code that should resolve
> this on PostgreSQL, get the latest version or do a git pull and try again.
Reply | Threaded
Open this post in threaded view
|

[Mayan EDMS: 77] Re: Mayan EDMS v0.12 beta

Сергей Глита
In reply to this post by rosarior
In order of granting permissions i have follow

Confirm DELETE (!)

Are you sure you wish to GRANT the permissions "Can execute the OCR
clean up on all document pages", "Edit a document's metadata", "Create
new metadata sets", "Delete smart links", "Remove metadata from a
document", "View metadata from a document", "View metadata types",
"Create new smart links", "View metadata sets", "Submit documents for
OCR", "Can enable/disable the OCR queue", "Delete metadata sets",
"Access the history of an object", "Create new metadata types", "Edit
metadata sets", "Edit smart links", "View existing smart links", "Add
metadata to a document", "Edit metadata types" to Криэйтор?

it confuses me
Reply | Threaded
Open this post in threaded view
|

[Mayan EDMS: 78] Re: Mayan EDMS v0.12 beta

Сергей Глита
In reply to this post by Сергей Глита


On 7 фев, 08:50, Сергей Глита <[hidden email]> wrote:

> UnicodeEncodeError at /acls/class/
>
> 'ascii' codec can't encode characters in position 0-4: ordinal not in
> range(128)
>
> Request Method: GET
> Request URL:    http://mayan.crb.local/acls/class/
> Django Version: 1.3.1
> Exception Type: UnicodeEncodeError
> Exception Value:
>
> 'ascii' codec can't encode characters in position 0-4: ordinal not in
> range(128)
>
> Exception Location:     /home/ve/mayan/apps/acls/views.py in
> acl_setup_valid_classes, line 385
> Python Executable:      /home/ve/bin/python
> Python Version: 2.7.2
> Python Path:
>
> ['/home/ve/mayan',
>  '/home/ve/lib/python2.7/site-packages/setuptools-0.6c11-py2.7.egg',
>  '/home/ve/lib/python2.7/site-packages/pip-1.0.2-py2.7.egg',
>  '/home/ve/src/django-mptt',
>  '/home/ve/src/python-magic',
>  '/home/ve/src/django-sendfile',
>  '/home/ve/lib/python27.zip',
>  '/home/ve/lib/python2.7',
>  '/home/ve/lib/python2.7/plat-linux2',
>  '/home/ve/lib/python2.7/lib-tk',
>  '/home/ve/lib/python2.7/lib-old',
>  '/home/ve/lib/python2.7/lib-dynload',
>  '/usr/lib/python2.7',
>  '/usr/lib/python2.7/plat-linux2',
>  '/usr/lib/python2.7/lib-tk',
>  '/home/ve/lib/python2.7/site-packages',
>  '/home/ve/lib/python2.7/site-packages/setuptools-0.6c11-py2.7.egg-
> info',
>  '/home/ve/mayan/modules',
>  '/home/ve/mayan/customization_apps',
>  '/home/ve/mayan/apps',
>  '/home/ve/mayan/shared_apps',
>  '/home/ve/mayan/3rd_party_apps',
>  '/home/ve/mayan/..',
>  '/home/ve/mayan/modules',
>  '/home/ve/mayan/customization_apps',
>  '/home/ve/mayan/apps',
>  '/home/ve/mayan/shared_apps']
>
> Server time:    Втр, 7 Фев 2012 08:44:20 +0400
> Unicode error hint
>
> The string that could not be encoded/decoded was: Папки
> Traceback Switch to copy-and-paste view
>
>     /home/ve/lib/python2.7/site-packages/django/core/handlers/base.py
> in get_response
>
>                                 response = callback(request,
> *callback_args, **callback_kwargs)
>
>         ...
>     ▶ Local vars
>     /home/ve/mayan/apps/acls/views.py in acl_setup_valid_classes
>
>             logger.debug('DefaultAccessEntry.get_classes(): %s' %
> DefaultAccessEntry.get_classes())
>
>         ...
>     ▶ Local vars
>
> On 6 фев, 23:55, Roberto Rosario <[hidden email]>
> wrote:
>
>
>
>
>
>
>
> > Ok, thanks!  Just pushed some transaction rollback code that should resolve
> > this on PostgreSQL, get the latest version or do a git pull and try again.
Reply | Threaded
Open this post in threaded view
|

[Mayan EDMS: 78] Re: Mayan EDMS v0.12 beta

Сергей Глита
In reply to this post by Сергей Глита
UnicodeEncodeError at /sources/upload/document/new/interactive/staging/
1/

'ascii' codec can't encode characters in position 0-1: ordinal not in
range(128)

Request Method: GET
Request URL: http://mayan.crb.local/sources/upload/document/new/interactive/staging/1/
Django Version: 1.3.1
Exception Type: UnicodeEncodeError
Exception Value:

'ascii' codec can't encode characters in position 0-1: ordinal not in
range(128)

Exception Location: /home/ve/lib/python2.7/site-packages/django/utils/
encoding.py in force_unicode, line 71
Python Executable: /home/ve/bin/python
Python Version: 2.7.2
Python Path:

['/home/ve/mayan',
 '/home/ve/lib/python2.7/site-packages/setuptools-0.6c11-py2.7.egg',
 '/home/ve/lib/python2.7/site-packages/pip-1.0.2-py2.7.egg',
 '/home/ve/src/django-mptt',
 '/home/ve/src/python-magic',
 '/home/ve/src/django-sendfile',
 '/home/ve/lib/python27.zip',
 '/home/ve/lib/python2.7',
 '/home/ve/lib/python2.7/plat-linux2',
 '/home/ve/lib/python2.7/lib-tk',
 '/home/ve/lib/python2.7/lib-old',
 '/home/ve/lib/python2.7/lib-dynload',
 '/usr/lib/python2.7',
 '/usr/lib/python2.7/plat-linux2',
 '/usr/lib/python2.7/lib-tk',
 '/home/ve/lib/python2.7/site-packages',
 '/home/ve/lib/python2.7/site-packages/setuptools-0.6c11-py2.7.egg-
info',
 '/home/ve/mayan/modules',
 '/home/ve/mayan/customization_apps',
 '/home/ve/mayan/apps',
 '/home/ve/mayan/shared_apps',
 '/home/ve/mayan/3rd_party_apps',
 '/home/ve/mayan/..',
 '/home/ve/mayan/modules',
 '/home/ve/mayan/customization_apps',
 '/home/ve/mayan/apps',
 '/home/ve/mayan/shared_apps']

Server time: Втр, 7 Фев 2012 13:19:07 +0400
Unicode error hint

The string that could not be encoded/decoded was: Не удал

22

> 'ascii' codec can't encode characters in position 0-4: ordinal not in
> range(128)
>
> Exception Location:     /home/ve/mayan/apps/acls/views.py in
> acl_setup_valid_classes, line 385
> Python Executable:      /home/ve/bin/python
> Python Version: 2.7.2
> Python Path:
>
> ['/home/ve/mayan',
>  '/home/ve/lib/python2.7/site-packages/setuptools-0.6c11-py2.7.egg',
>  '/home/ve/lib/python2.7/site-packages/pip-1.0.2-py2.7.egg',
>  '/home/ve/src/django-mptt',
>  '/home/ve/src/python-magic',
>  '/home/ve/src/django-sendfile',
>  '/home/ve/lib/python27.zip',
>  '/home/ve/lib/python2.7',
>  '/home/ve/lib/python2.7/plat-linux2',
>  '/home/ve/lib/python2.7/lib-tk',
>  '/home/ve/lib/python2.7/lib-old',
>  '/home/ve/lib/python2.7/lib-dynload',
>  '/usr/lib/python2.7',
>  '/usr/lib/python2.7/plat-linux2',
>  '/usr/lib/python2.7/lib-tk',
>  '/home/ve/lib/python2.7/site-packages',
>  '/home/ve/lib/python2.7/site-packages/setuptools-0.6c11-py2.7.egg-
> info',
>  '/home/ve/mayan/modules',
>  '/home/ve/mayan/customization_apps',
>  '/home/ve/mayan/apps',
>  '/home/ve/mayan/shared_apps',
>  '/home/ve/mayan/3rd_party_apps',
>  '/home/ve/mayan/..',
>  '/home/ve/mayan/modules',
>  '/home/ve/mayan/customization_apps',
>  '/home/ve/mayan/apps',
>  '/home/ve/mayan/shared_apps']
>
> Server time:    Втр, 7 Фев 2012 08:44:20 +0400
> Unicode error hint
>
> The string that could not be encoded/decoded was: Папки
> Traceback Switch to copy-and-paste view
>
>     /home/ve/lib/python2.7/site-packages/django/core/handlers/base.py
> in get_response
>
>                                 response = callback(request,
> *callback_args, **callback_kwargs)
>
>         ...
>     ▶ Local vars
>     /home/ve/mayan/apps/acls/views.py in acl_setup_valid_classes
>
>             logger.debug('DefaultAccessEntry.get_classes(): %s' %
> DefaultAccessEntry.get_classes())
>
>         ...
>     ▶ Local vars
>
> On 6 фев, 23:55, Roberto Rosario <[hidden email]>
> wrote:
>
>
>
>
>
>
>
> > Ok, thanks!  Just pushed some transaction rollback code that should resolve
> > this on PostgreSQL, get the latest version or do a git pull and try again.
Reply | Threaded
Open this post in threaded view
|

[Mayan EDMS: 80] Re: Mayan EDMS v0.12 beta

rosarior
Administrator
Excellent, thanks!  I'll get working on fixing these right away.
Reply | Threaded
Open this post in threaded view
|

[Mayan EDMS: 81] Re: Mayan EDMS v0.12 beta

rosarior
Administrator
In reply to this post by Сергей Глита
I've pushed an update fixing this.
Reply | Threaded
Open this post in threaded view
|

[Mayan EDMS: 82] Re: Mayan EDMS v0.12 beta

rosarior
Administrator
In reply to this post by Сергей Глита
I have tried and can't replicate this, could you tell me how to trigger this bug.
Reply | Threaded
Open this post in threaded view
|

[Mayan EDMS: 83] Re: Mayan EDMS v0.12 beta

rosarior
Administrator
In reply to this post by Сергей Глита
Nevermind this one, I managed to trigger it by trying to upload from a staging a file named "Не уда.png"
Reply | Threaded
Open this post in threaded view
|

[Mayan EDMS: 84] Re: Mayan EDMS v0.12 beta

rosarior
Administrator
In reply to this post by Сергей Глита
This one still eludes me, what is named "Папки"?  So I can reproduce this.
Reply | Threaded
Open this post in threaded view
|

Re: [Mayan EDMS: 84] Re: Mayan EDMS v0.12 beta

Сергей Глита
"Папки" - folders in russian. Switch to russian and go to settings - default acl
i'm connected to google talk now


7 февраля 2012 г. 18:54 пользователь Roberto Rosario
<[hidden email]> написал:
> This one still eludes me, what is named "Папки"?  So I can reproduce this.
12